// RuntimeForStatic base library | C+- (SysRoutine) | Author: Sergei Y.Kitáev
#pragma once
#include "include_restrictions.h"
namespace RuntimeForStatic {
//==================================================================================================

template<typename T>static T $arith::Min(T value_1,T value_2)
{
   return value_1 <= value_2 ? value_1 : value_2;
}

template<typename T>static T $arith::Max(T value_1,T value_2)
{
   return value_1 >= value_2 ? value_1 : value_2;
}

//==================================================================================================
} // RuntimeForStatic
